Package org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface CallableRelation

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Subinterfaces:
    `EClassifierConstraint`, `PathExpressionConstraint`, `PatternCall`, `TypeCheckConstraint`, `UnaryTypeConstraint`
  All Known Implementing Classes:
    `CallableRelationImpl`, `EClassifierConstraintImpl`, `PathExpressionConstraintImpl`, `PatternCallImpl`, `TypeCheckConstraintImpl`, `UnaryTypeConstraintImpl`

      public interface CallableRelation
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Callable Relation'.

  The following features are supported:

  - `Transitive`
  See Also:
    `PatternLanguagePackage.getCallableRelation()`
  Generated:
  Model:
    abstract="true"

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClosureType` | `getTransitive()` | Returns the value of the 'Transitive' attribute.
    `void` | `setTransitive​(ClosureType value)` | Sets the value of the '`Transitive`' attribute.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTransitive

          ClosureType getTransitive()

      Returns the value of the 'Transitive' attribute. The literals are from the enumeration `ClosureType`.
      Returns:
        the value of the 'Transitive' attribute.
      See Also:
        `ClosureType`, `setTransitive(ClosureType)`, `PatternLanguagePackage.getCallableRelation_Transitive()`
      Generated:
      Model:

    - #### setTransitive

          void setTransitive​(ClosureType value)

      Sets the value of the '`Transitive`' attribute.
      Parameters:
        `value` - the new value of the 'Transitive' attribute.
      See Also:
        `ClosureType`, `getTransitive()`
      Generated: